
if j == 9 && s~=1,
    s=1;
    fprintf('Warning: Parameter s was changed to 1 because jitter level =9.\n');
end

% For N200_X sequences, the stimuli are numbered differently
if ~(strcmp(seq, 'N100') || strcmp(seq, 'N600')),
    corrspd_files = dir( fullfile( stimuli_directory, seq, [seq(1:4), 'k', int2str(n), 'jitter', int2str(j), 'stim*target.png']) );
    stim_nums = zeros(length(corrspd_files), 1);
    for i = 1:length(stim_nums),
        stim_nums(i) = str2num(corrspd_files(i).name(18:end-10));
    end
    s = stim_nums(min(s, length(stim_nums)));
end