function adj_matrix = knn_oriented(dist_matrix, k)

adj_matrix = zeros(size(dist_matrix));
Dmod = dist_matrix + max(max(dist_matrix))*eye(size(dist_matrix));
md = min(Dmod);
avg_d = mean(sqrt(md));

for i = 1: size(dist_matrix, 1),
    distances2pt_i = dist_matrix(i,:);
    [v, idxs] = sort(distances2pt_i);
    for j = idxs(2:k+1),
        if distances2pt_i(j) <= 4*avg_d^2,
            adj_matrix(i, j) = 1;
        end
    end
end